Status: Closed Start date: 01/16/2024
Priority: Normal Due date: 02/05/2024
Assignee: Oleksandr lvanov % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 0.0.3 Spent time: 13:00 hours
Description

The system shall allow to establish a traceability between specifications.

During the audit it should be clear how particular item of a high-level specification was implemented/decomposed in/to the elements

of low-level specification.

For example,

® a single system requirement should have traces to software requirements (one or many)
¢ a single software requirement should have traces to software architecture items (one or many)

etc.

Subtasks:

DocTask # 4: Define System Requirements for Feature #3
DocTask # 5: Define Software Requirements for Feature #3

CodeTask # 8: Implement Traceability check between specifications

Closed
Closed
Closed

History

#1 - 01/16/2024 02:54 PM - Oleksandr lvanov

- Target version set to 0.0.3

#2 - 01/16/2024 03:07 PM - Oleksandr lvanov
- Subtask #5 added

#3 - 01/16/2024 03:09 PM - Oleksandr Ivanov
- Subtask #4 added

#4 - 01/22/2024 05:29 PM - Oleksandr lvanov
- Subtask #8 added

#5 - 01/24/2024 06:52 PM - Oleksandr lvanov

- Status changed from New to In Progress

#6 - 01/24/2024 06:54 PM - Oleksandr lvanov

- Status changed from In Progress to Feedback

Implemented in scope of child tasks.

#7 - 01/24/2024 06:59 PM - Oleksandr Ivanov
- Status changed from Feedback to Closed

How to verify:

1. Get Almirah.Doc repository (79340651, branch:develop)
2. Install Almirah gem by "gem install Almirah -v 0.03"
3. Run command "Almirah please Your_Almirah.Doc_Path
https://www.almirah.site/redmine/projects/almirah-doc/repository/almirah-doc/revisions/79340651a89768b015809a803f3bd6a694cdc5dc
